Skip to content
Browse files

dropped jeweler, wrote gemspec by hand

  • Loading branch information...
1 parent 2f3e910 commit 53894f64ec9be2fa337e666dc5564cc5d13af610 @enriclluelles enriclluelles committed
Showing with 15 additions and 66 deletions.
  1. +1 −16 Rakefile
  2. +0 −6 lib/translate_routes.rb
  3. +14 −44 translate_routes.gemspec
View
17 Rakefile
@@ -19,19 +19,4 @@ Rake::RDocTask.new(:rdoc) do |rdoc|
rdoc.options << '--line-numbers' << '--inline-source'
rdoc.rdoc_files.include('README')
rdoc.rdoc_files.include('lib/**/*.rb')
-end
-
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |gem|
- gem.name = "translate_routes"
- gem.summary = %Q{Translate the routes of your app easily}
- gem.description = %Q{Translate the routes of your app easily}
- gem.email = "raul@murciano.net"
- gem.homepage = "http://github.com/raul/translate_routes"
- gem.authors = ["Raul Murciano"]
- gem.files = Dir["{lib}/**/*", "{test}/**/*"]
- end
-rescue LoadError
- puts "Jeweler (or a dependency) not available. Install it with: sudo gem install jeweler"
-end
+end
View
6 lib/translate_routes.rb
@@ -1,7 +1 @@
require 'route_translator'
-
-
-module TranslateRoutes
- class Engine < Rails::Engine
- end
-end
View
58 translate_routes.gemspec
@@ -1,46 +1,16 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
-# -*- encoding: utf-8 -*-
-
Gem::Specification.new do |s|
- s.name = %q{translate_routes}
- s.version = "0.0.2"
-
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Raul Murciano"]
- s.date = %q{2010-10-23}
- s.description = %q{Translate the routes of your app easily}
- s.email = %q{raul@murciano.net}
- s.extra_rdoc_files = [
- "ChangeLog",
- "README.markdown"
- ]
- s.files = [
- "lib/route_translator.rb",
- "lib/tasks/translate_routes_tasks.rake",
- "lib/translate_routes.rb",
- "lib/translate_routes_test_helper.rb",
- "test/locales/routes.yml",
- "test/translate_routes_test.rb"
- ]
- s.homepage = %q{http://github.com/raul/translate_routes}
- s.rdoc_options = ["--charset=UTF-8"]
- s.require_paths = ["lib"]
- s.rubygems_version = %q{1.3.7}
- s.summary = %q{Translate the routes of your app easily}
- s.test_files = [
- "test/translate_routes_test.rb"
- ]
-
- if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
- s.specification_version = 3
-
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- else
- end
- else
- end
-end
+ s.name = "translate_routes"
+ s.version = "0.0.1"
+ s.platform = Gem::Platform::RUBY
+ s.authors = "Raul Murciano"
+ s.email = "raul@murciano.net"
+ s.homepage = "http://github.com/raul/translate_routes"
+ s.summary = "Translate your routes in a simple manner"
+ s.description = "Translates the routes of your application into the langagues defined in your locale files"
+
+ s.required_rubygems_version = ">= 1.3.7"
+
+ s.files = Dir.glob("{lib}/**/*") + %w(MIT-LICENSE README.markdown ROADMAP.md ChangeLog)
+ s.require_path = 'lib'
+end

0 comments on commit 53894f6

Please sign in to comment.
Something went wrong with that request. Please try again.